{
    "name": "vs-papyrus-compiler",
    "displayName": "Papyrus Compiler",
    "description": "Adds commands for executing the PapyrusCompiler from VS Code",
    "preview": true,
    "version": "0.1.1",
    "publisher": "mr-andersen",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/thomas.andersen/vsc-papyrus-compiler.git"
    },
    "license": "MIT",
    "keywords": [
        "papyrus",
        "compiler",
        "creation kit"
    ],
    "engines": {
        "vscode": "^1.19.0"
    },
    "categories": [
        "Other"
    ],
    "activationEvents": [
        "onCommand:mrandersen.papyrus.compiler.compileCurrentFile",
        "onCommand:mrandersen.papyrus.compiler.compileCurrentFileRelease",
        "onCommand:mrandersen.papyrus.compiler.compileCurrentFileFinal",
        "onCommand:mrandersen.papyrus.compiler.compileAll",
        "onCommand:mrandersen.papyrus.compiler.compileAllRelease",
        "onCommand:mrandersen.papyrus.compiler.compileAllFinal",
        "onCommand:mrandersen.papyrus.compiler.compileProjectFile",
        "onCommand:mrandersen.papyrus.compiler.listCompiled",
        "onCommand:mrandersen.papyrus.compiler.tailLogFile",
        "onCommand:mrandersen.papyrus.compiler.openLogFile"
    ],
    "main": "./out/extension",
    "contributes": {
        "configuration": [
            {
                "title": "Papyrus Compiler Configuration",
                "properties": {
                    "mrandersen.papyrus.compiler.path": {
                        "type": "string",
                        "default": "C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Papyrus Compiler\\PapyrusCompiler.exe",
                        "description": "Full path to PapyrusCompiler.exe",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.flags": {
                        "type": "string",
                        "default": "C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Data\\Scripts\\Source\\Base\\Institute_Papyrus_Flags.flg",
                        "description": "Full path to flag (.flg) file to use for processing flags in the scripts. You'll almost always want this to be \"Institute_Papyrus_Flags.flg\"",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.import": {
                        "type": "string",
                        "default": "C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Data\\Scripts\\Source\\User;C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Data\\Scripts\\Source\\Base",
                        "description": "Specifies a list of directories that the compiler will look in for other scripts and the flag file. You'll want to at least point this at the directory that contains all the game's base scripts. Multiple folders are separated by semicolons.",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.sourceDir": {
                        "type": "string",
                        "default": "C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Data\\Scripts\\Source\\User",
                        "description": "Full path to the root directory of your source files.",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.output": {
                        "type": "string",
                        "default": "C:\\Program Files (x86)\\Steam\\steamapps\\common\\Fallout 4\\Data\\Scripts",
                        "description": "Full path to the directory for the compiled files.",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.projectFile": {
                        "type": "string",
                        "default": "",
                        "description": "Full path to project file (.ppj).",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.developmentStageArgs": {
                        "type": "string",
                        "default": "",
                        "description": "Arguments development compiler",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.releaseStageArgs": {
                        "type": "string",
                        "default": "-op -r",
                        "description": "Arguments release compiler",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.finalStageArgs": {
                        "type": "string",
                        "default": "-op -r -final",
                        "description": "Arguments final compiler",
                        "scope": "window"
                    },
                    "mrandersen.papyrus.compiler.logFile": {
                        "type": "string",
                        "default": "C:\\Users\\Eier\\Documents\\My Games\\Fallout4\\Logs\\Script\\Papyrus.0.log",
                        "description": "Full path to the log file",
                        "scope": "window"
                    }
                }
            }
        ],
        "commands": [
            {
                "command": "mrandersen.papyrus.compiler.compileCurrentFile",
                "title": "Compile File (Development)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileCurrentFileRelease",
                "title": "Compile File (Release)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileCurrentFileFinal",
                "title": "Compile File (Final)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileAll",
                "title": "Compile All (Development)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileAllRelease",
                "title": "Compile All (Release)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileAllFinal",
                "title": "Compile All (Final)",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.compileProjectFile",
                "title": "Compile Project",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.listCompiled",
                "title": "List Compiled Scripts",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.tailLogFile",
                "title": "Tail log file",
                "category": "Papyrus"
            },
            {
                "command": "mrandersen.papyrus.compiler.openLogFile",
                "title": "Open log file",
                "category": "Papyrus"
            }
        ]
    },
    "scripts": {
        "vscode:prepublish": "npm run compile",
        "compile": "tsc -p ./",
        "watch": "tsc -watch -p ./",
        "postinstall": "node ./node_modules/vscode/bin/install",
        "test": "npm run compile && node ./node_modules/vscode/bin/test"
    },
    "devDependencies": {
        "typescript": "^2.6.1",
        "vscode": "^1.1.6",
        "@types/node": "^7.0.43",
        "@types/mocha": "^2.2.42"
    }
}